Get Recurring Grant

Retrieve a recurring grant with a given ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
The unique id of the recurring grant. The format should be a v4 UUID according to RFC 4122.

Response

OK
idstringRead-onlyformat: "uuid"
The unique identifier for the object
workflowSessionIdstringRead-onlyformat: "uuid"
ID of the Connect Workflow Session associated with this grant
fundIdstringRead-only
ID of the donor advised fund
frequencyenum
How often the DAF provider will submit the recurring grant. At the moment, monthly is the only supported frequency.
Allowed values:
amountdouble
The grant amount expressed in units of whole cents
trackingIdstringRead-only
The tracking ID for the grant
externalRecurringGrantIdstring
ID of the grant associated with the donor advised fund
createdAtstringRead-onlyformat: "date-time"

Time when this object was created; expressed in RFC 3339 format

updatedAtstringRead-onlyformat: "date-time"

Time when this object was last updated; expressed in RFC 3339 format

firstNamestring
The donor's first name
lastNamestring
The donor's last name
phonestring
The donor's phone number
emailstring
The donor's email
notestring
An note inputted by the user at submisson
addressobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error